## flamerobin 0.9.3~svn+2180

=== debian/changelog ===
flamerobin (0.9.3~svn+2180-1) unstable; urgency=low

  * New upstream SVN snapshot
  * drop fix-deprecated-ibpp-constant.patch (applied upstream)
  * add patch fixing FTBFS because of passing wxString to '...' arglist
  * update copyright summary

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Jun 2011 14:31:39 +0300

flamerobin (0.9.3~svn+2106-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Apr 2011 17:43:45 +0300

flamerobin (0.9.3~svn+2105-1) unstable; urgency=low

  * New upstream SVN snapshot
   + If main window close event can be vetoed then loop through all other
     BaseFrame instances and check whether they veto the closing (check for
     open transactions, unsaved changes to files, active background work and so
     on). Replaces the previous confirmation dialog that was always shown.
   + Store last selected authentication mode for database creation as selection
     index of the choice control instead of string selection because the
     entries are translatable strings
   + Correct value of ExecuteSqlFrame status bar pane with database connection
     info restored
   + LogTextControl modified to be read-only, custom context menu implemented
     for selecting, copying and clearing the content
   + Regression fixed: parameter data type weren't shown in procedure property
     pages any more

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Apr 2011 11:34:05 +0300

flamerobin (0.9.3~svn+2100-1) unstable; urgency=low

  * New upstream SVN snapshot
  * Upload to unstable
   + stop using system-wide ibase.h.
     Unstable has no fb3.0 so system-wide ibase.h has no boolean defines,
     which are used by FR and were ported to IBPP's embedded copy of ibase.h
   + build-depend on firebird2.5-dev instead of firebird-dev
     firebird-dev is only in experimental

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Apr 2011 19:40:40 +0300

flamerobin (0.9.3~svn+2092-1) experimental; urgency=low

  * New upstream SVN snapshot
    + fixes a crash in database registration introduced by previous version

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 Apr 2011 10:20:05 +0300

flamerobin (0.9.3~svn+2091-1) experimental; urgency=low

  * New upstream SVN snapshot

  * pack-upstream-snapshot, mangle-svn-rev: shorten version string
  * copyright: update years of upstream copyright
  * Standards-Version: 3.9.2 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Apr 2011 10:39:46 +0300

flamerobin (0.9.3~svn20110107r2084-1) experimental; urgency=low

  * New upstream SVN snapshot

  * rules: force usage of system ibase.h. IBPP contains an embedded
    copy, which may become stale
  * Fix usage of a deprecated isc_info_db_SQL_dialect in IBPP
  * build-depend on firebird-dev for boolean support
  * copyright: note that src/ibpp/ibase.h uses Interbase Public Licesne

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Jan 2011 14:44:09 +0200

flamerobin (0.9.3~svn20101115r2079-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2010 17:37:12 +0200

flamerobin (0.9.3~svn20101024r2048-1) experimental; urgency=low

  * New upstream SVN snapshot

  * add abort-on-upstream-changes to debian/source/local-options

 -- Damyan Ivanov <dmn@debian.org>  Tue, 26 Oct 2010 07:46:30 +0300

flamerobin (0.9.3~svn20101010r2017-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Oct 2010 08:53:13 +0300

flamerobin (0.9.3~svn20101001r1977-1) experimental; urgency=low

  * New upsttream SVN snapshot
  * rules/clean: invoke unmangle-svn-rev.sh
  * use `3.0 (quilt)' source format

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Oct 2010 16:12:45 +0300

flamerobin (0.9.3~svn20100913r1941-1) experimental; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Sep 2010 10:10:43 +0300

flamerobin (0.9.3~svn20100913r1939-1) experimental; urgency=low

  * New upstream SVN snapshot
  * rules: use dh --parallel (and require debhelper 7.4.10)
  * README.source: explain Git branch usage, fix instructions for obtaining
    snapshot tarballs and improve formatting

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Sep 2010 12:48:33 +0300

flamerobin (0.9.3~svn20100910r1937-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Sep 2010 21:20:29 +0300

flamerobin (0.9.3~svn20100621r1918-1) experimental; urgency=low

  * debian/pack-upstream-snapshot.sh: add --format to git log calls
  * New upstream SVN snapshot
    + control: add libboost-dev to build-dependencies

 -- Damyan Ivanov <dmn@debian.org>  Mon, 21 Jun 2010 13:25:51 +0300

flamerobin (0.9.3~svn20100527r1897-1) experimental; urgency=low

  * New upstream SVN snapshot
    + features BLOB editor

  * bump years of upstream copyright

  * debian/pack-upstream-snapshot.sh improvements
    + use 'git foo' instead of 'git-foo'
    + work directly with orig/upstream-svn branch
    + determine version from src/frversion.h
  * Standards-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 29 May 2010 11:59:51 +0300

flamerobin (0.9.2-2) unstable; urgency=low

  * build-depend on firebird2.1-dev instead of firebird2.0-dev
  * adopt debhelper 7 tiny rules
    + some of the work delegated to files under debian/
    + prepend 'dh $@' with a plus to allow parallel building
  * Standards-Version: 3.8.3
    + change section to 'database'
  * build with fresh config.{sub,quess}; add autotools-dev to B-D

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Sep 2009 18:02:54 +0300

flamerobin (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * update README.source and pack-upstream-snapshot.sh to refer to the new
    upstream-svn branch
    + also mention how nrmal upstream releases are handled

