=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 7.4.10~),
 firebird2.5-dev,
 html2text,
 libboost-dev,
 libwxgtk2.8-dev
Build-Conflicts: libwxgtk2.6-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/flamerobin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/flamerobin.git
Homepage: http://www.flamerobin.org/

Package: flamerobin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See packages firebird2.0-super and firebird2.0-classic.
