## flamerobin 0.9.3~svn+2188

=== debian/changelog ===
flamerobin (0.9.3~svn+2188-3) unstable; urgency=low

  * fix the version of the dpkg-dev build-dependency
  * build-depend on firebird-dev, instead of the transitional firebird2.5-dev

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2011 12:51:39 +0300

flamerobin (0.9.3~svn+2188-2) unstable; urgency=low

  * control: refer to firebird 2.5 instead of 2.0
    also add superclassic to the possible server packages
  * rules: move --parallel after $@ in the dh catchall rule
  * use dpkg-buildflags to feed configure

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Sep 2011 14:55:47 +0300

flamerobin (0.9.3~svn+2188-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Sep 2011 12:56:39 +0300

flamerobin (0.9.3~svn+2187-1) unstable; urgency=low

  * New upstream SVN snapshot
    + drop no-copy-dotdotdot-wxString.patch (applied upstream)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 Sep 2011 17:14:08 +0300
