=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends:
  autotools-dev,
  debhelper (>= 7.4.10~),
- firebird2.5-dev,
+ dpkg-dev (>= 1.16.1~),
+ firebird-dev,
  html2text,
  libboost-dev,
  libwxgtk2.8-dev
@@ -28,4 +29,5 @@
    - dependent only on other open source software
  .
  You need to setup firebird server on local or remote machine before using
- FlameRobin. See packages firebird2.0-super and firebird2.0-classic.
+ FlameRobin. See packages firebird2.5-super, firebird2.5-superclassic and
+ firebird2.5-classic.
