=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

IBASE=src/ibpp/ibase.h

override_dh_auto_configure:
	sh debian/mangle-svn-rev.sh
	[ -e config.sub-ORIG ]   || mv config.sub   config.sub-ORIG
	[ -e config.guess-ORIG ] || mv config.guess config.guess-ORIG
	#! [ -e $(IBASE) ]        || mv $(IBASE) $(IBASE)-ORIG
	cp /usr/share/misc/config.sub .
	cp /usr/share/misc/config.guess .
	chmod u+x configure
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
	
	# the build process may change this file. save a copy
	# and restore it in clean
	cp src/frsvnrev.h src/frsvnrev.h-ORIG

override_dh_auto_clean:
	dh_auto_clean
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	[ ! -e src/frsvnrev.h-ORIG ] || mv -f src/frsvnrev.h-ORIG src/frsvnrev.h
	[ ! -e config.sub-ORIG ]   || mv config.sub-ORIG   config.sub
	[ ! -e config.guess-ORIG ] || mv config.guess-ORIG config.guess
	#[ ! -e $(IBASE)-ORIG ] || [ -e $(IBASE) ] || mv $(IBASE)-ORIG $(IBASE)
	sh debian/unmangle-svn-rev.sh

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/flamerobin/usr

override_dh_installchangelogs:
	html2text docs/fr_whatsnew.html > upstream-changelog
	dh_installchangelogs upstream-changelog
