## flamerobin 0.9.3~svn+2197

=== debian/changelog ===
flamerobin (0.9.3~svn+2197-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Jan 2012 10:03:10 +0200
