## flamerobin 0.9.3~svn+2212

=== debian/changelog ===
flamerobin (0.9.3~svn+2212-1) unstable; urgency=low

  * New upstream SVN snapshot
  * bump years of upstream copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 Jan 2012 09:35:25 +0200
