## flamerobin 0.9.3~svn+2216

=== debian/changelog ===
flamerobin (0.9.3~svn+2216-1) unstable; urgency=low

  * New upstream SVN snapshot

  * Install larger icon to pixmaps/ for nicer gnome3 (at least) experience

 -- Damyan Ivanov <dmn@debian.org>  Fri, 03 Feb 2012 11:35:40 +0200
