## flamerobin 0.9.3~svn+2220

=== debian/changelog ===
flamerobin (0.9.3~svn+2220-1) unstable; urgency=low

  * New upstream SVN snapshot
    + Enable "Set field to NULL" command for blob fields
    + Enable "Set field to NULL" command for current field if grid has no cells
      selected
    + Invalidate grid cell attribute cache to properly update text color if
      field null status has changed
    + Warnings (signed <-> unsigned comparison) fixed
    + Fix for SF.net bug tracker items #3516047 and #2018533: use larger result
      buffer (65535 instead of 8000) and don't parse past the length of the 
    + Don't show Drop and Properties commands for view columns (and fix crash
      in Column::getDropSqlStatement() when called for view columns)
  * Standards-Version: 3.9.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jun 2012 18:53:10 +0300
