=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libboost-dev,
  libwxgtk2.8-dev
 Build-Conflicts: libwxgtk2.6-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/flamerobin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/flamerobin.git
 Homepage: http://www.flamerobin.org/
