=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 override_dh_auto_install:
 	$(MAKE) install prefix=$(CURDIR)/debian/flamerobin/usr
+	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
 
 override_dh_installchangelogs:
 	html2text docs/fr_whatsnew.html > upstream-changelog
