## flamerobin 0.9.3~+20140206.3f9645c

=== debian/changelog ===
flamerobin (0.9.3~+20140206.3f9645c-3ubuntu1) utopic; urgency=medium

  * Disable precompiled headers on arm64, which currently cause occasional
    build failures.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jun 2014 13:56:47 +0100

flamerobin (0.9.3~+20140206.3f9645c-3) unstable; urgency=medium

  * Add patch from Michael Hieke to work around issues between wx3.0 and
    g++-4.9. (Closes: #746847)
  * Declare conformance with Policy 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 03 Jun 2014 11:59:21 +0300

flamerobin (0.9.3~+20140206.3f9645c-2) unstable; urgency=medium

  * Upload to unstable, there is no freeze to be disrupted, yet

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2014 11:22:21 +0200

flamerobin (0.9.3~+20140206.3f9645c-1) experimental; urgency=medium

  * use xz compression for snapshot source tarball
  * New upstream snapshot
    + add support for more Firebird 3.0 reserved keywords
    + ask before deleting unsaved changes to SQL files
  * switch to WxWidgets 3.0 (Closes: #742092)
    Thanks to Olly Betts for the patch and the testing

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2014 10:49:46 +0200

flamerobin (0.9.3~+20131014.97b278c-1) experimental; urgency=low

  * New upstream snapshot
    + Upstream switched development to Git
      - adapt pack-upstream-snapshot.sh
    + add patch to not re-create revisioninfo.h during build
    + update debian/copyright
  * update debian/copyright (years, new files)
  * remove RPATH from flamerobin binary by using chrpath -d

 -- Damyan Ivanov <dmn@debian.org>  Mon, 14 Oct 2013 14:54:22 +0300

flamerobin (0.9.3~svn+2250-1) experimental; urgency=low

  * New upstream SVN snapshot
  * Upload to experimental to avoid disturbing the freeze

  * add boost to build-dependencies
  * adjust revision mangling code to new upstream
  * update debian/copyright (new m4 macros)
  * d/rules: plug a nasty sed hack to disable rpath in generated Makefile
  * use canonical Vcs-* locations (thanks, lintian)
  * Standards-Version: 3.9.4 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 26 Dec 2012 21:47:46 +0200
