=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autotools-dev,
 chrpath,
 debhelper (>= 7.4.10~),
 dpkg-dev (>= 1.16.1~),
 firebird-dev,
 html2text,
 libboost-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libwxgtk3.0-dev
Build-Conflicts: libwxgtk2.6-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/flamerobin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flamerobin.git
Homepage: http://www.flamerobin.org/

Package: flamerobin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See packages firebird2.5-super, firebird2.5-superclassic and
 firebird2.5-classic.
