=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,15 @@
 	dh $@ --parallel
 
 IBASE=src/ibpp/ibase.h
+
+REV_FILE=src/revisioninfo.h
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),arm64)
+confflags := --disable-precomp-headers
+else
+confflags :=
+endif
 
 override_dh_auto_configure:
 	sh debian/mangle-svn-rev.sh
@@ -13,16 +22,21 @@
 	cp /usr/share/misc/config.sub .
 	cp /usr/share/misc/config.guess .
 	chmod u+x configure
-	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(confflags)
+	sed -i 's|-Wl,-R/usr/local/lib ||' Makefile
 	
 	# the build process may change this file. save a copy
 	# and restore it in clean
-	cp src/frsvnrev.h src/frsvnrev.h-ORIG
+	cp $(REV_FILE) $(REV_FILE)-ORIG
+
+override_dh_auto_build:
+	dh_auto_build -O--parallel
+	chrpath -d flamerobin
 
 override_dh_auto_clean:
 	dh_auto_clean
 	if [ -f Makefile ]; then $(MAKE) distclean; fi
-	[ ! -e src/frsvnrev.h-ORIG ] || mv -f src/frsvnrev.h-ORIG src/frsvnrev.h
+	[ ! -e $(REV_FILE)-ORIG ] || mv -f $(REV_FILE)-ORIG $(REV_FILE)
 	[ ! -e config.sub-ORIG ]   || mv config.sub-ORIG   config.sub
 	[ ! -e config.guess-ORIG ] || mv config.guess-ORIG config.guess
 	#[ ! -e $(IBASE)-ORIG ] || [ -e $(IBASE) ] || mv $(IBASE)-ORIG $(IBASE)
