## flamerobin 0.9.3~+20150308.6c0559c

=== debian/changelog ===
flamerobin (0.9.3~+20150308.6c0559c-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:19:00 +0200

flamerobin (0.9.3~+20150308.6c0559c-1) unstable; urgency=medium

  * New upstream snapshot
  * bump years of usptream copyright
  * Patch configure to make boost library version detection work with CPP-5
    Closes: #777850 -- ftbfs with GCC-5
  * Declare conformance to Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Jun 2015 08:43:43 +0000

flamerobin (0.9.3~+20140206.3f9645c-4) unstable; urgency=medium

  * remove wx3.0-vs-gcc4.9.patch as no longer needed
    the gcc-4.9 problem was fixed and wx 3.0.2 has a workaround for it anyway
    Thanks to Olly Betts. Closes: #764404

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Oct 2014 21:07:58 +0000
