=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autotools-dev,
  chrpath,
@@ -15,7 +14,7 @@
  libboost-thread-dev,
  libwxgtk3.0-dev
 Build-Conflicts: libwxgtk2.6-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/flamerobin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flamerobin.git
 Homepage: http://www.flamerobin.org/
