=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,6 @@
 
 REV_FILE=src/revisioninfo.h
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),arm64)
-confflags := --disable-precomp-headers
-else
-confflags :=
-endif
-
 override_dh_auto_configure:
 	sh debian/mangle-svn-rev.sh
 	[ -e config.sub-ORIG ]   || mv config.sub   config.sub-ORIG
@@ -22,7 +15,7 @@
 	cp /usr/share/misc/config.sub .
 	cp /usr/share/misc/config.guess .
 	chmod u+x configure
-	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(confflags)
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
 	sed -i 's|-Wl,-R/usr/local/lib ||' Makefile
 	
 	# the build process may change this file. save a copy
