=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php flamerobin-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/flamerobin-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/flamerobin-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/flamerobin/flamerobin-(.*)-src\.tar\.gz
