## flamerobin 0.9.3~+20160512.c75f8618

=== debian/changelog ===
flamerobin (0.9.3~+20160512.c75f8618-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:23:22 +0000

flamerobin (0.9.3~+20160512.c75f8618-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Damyan Ivanov ]
  * build against libwxgtk3.0-gtk3-dev (Closes: #933413)
  * install 'Whats new' document as 'NEWS'
    Policy v4.2.0, §12.7
  * Declare conformance with Policy 4.4.0

 -- Damyan Ivanov <dmn@debian.org>  Wed, 31 Jul 2019 14:33:46 +0000

flamerobin (0.9.3~+20160512.c75f8618-2) unstable; urgency=medium

  * accommodate upstream changes into debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 20:48:38 +0000

flamerobin (0.9.3~+20160512.c75f8618-1) unstable; urgency=medium

  * New upstream version 0.9.3~+20160512.c75f8618
  * drop out/confgure-gcc5.patch, issue fixed upstream
  * drop upstream/debug-flags.patch, issue fixed upstream
  * Vcs-*: alioth → salsa
  * suggest firebird3.0 (instead of 2.5) in the long description
  * drop obsolete build-conflicts with libwxgtk2.6-dev
  * drop the explicit dpkg build-dependency (version available in
    oldoldstable)
  * declare that no rules target requires root
  * declare conformance with Policy 4.1.3
  * update README.source to match reality

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Feb 2018 19:31:27 +0000

flamerobin (0.9.3~+20150308.6c0559c-2) unstable; urgency=medium

  * Add a patch from gh/mariuz/flamerobin.git passing -DNDEBUG to c++ flags in
    no-debug builds. Closes: LP#1705293
  * drop menu file
  * use https:// for Vcs-* URLs
  * bump debhelper compatibility level to 9
  * Turn on all hardening options via DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * Declare conformance with Policy 4.0.0
  * Patch a couple spelling mistakes in error messages

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Jul 2017 17:33:37 +0000
