=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 IBASE=src/ibpp/ibase.h
 
 REV_FILE=src/revisioninfo.h
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:
 	sh debian/mangle-svn-rev.sh
@@ -39,6 +41,6 @@
 	$(MAKE) install prefix=$(CURDIR)/debian/flamerobin/usr
 	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
 
-override_dh_installchangelogs:
-	html2text docs/fr_whatsnew.html > upstream-changelog
-	dh_installchangelogs upstream-changelog
+override_dh_installdocs:
+	html2text docs/fr_whatsnew.html > NEWS
+	dh_installdocs
