=== debian/watch ===
--- 
+++ 
@@ -14,6 +14,6 @@
 #ftp://ftp.example.com/pub/flamerobin-(.*)\.tar\.gz debian uupdate
 
 # Uncomment to find new files on sourceforge, for debscripts >= 2.9
-http://sf.net/flamerobin/flamerobin-(.*)-src\.tar\.gz
+https://sf.net/flamerobin/flamerobin-(.*)-src\.tar\.gz
