## flamerobin 0.9.3.6

=== debian/changelog ===
flamerobin (0.9.3.6-2) unstable; urgency=medium

  * ensure proper migration from docs symlink to directory and vice versa
    .
    In 0.9.3.5-1 /usr/share/flamerobin/docs was moved to
    /usr/share/doc/flamerobin/html with a symlink at the old location
    .
    Old state
      /usr/share/doc/flamerobin/html -> ../../flamerobin/docs
      /usr/share/flamerobin/docs -- a directory with HTML files
    New state
      /usr/share/doc/flamerobin/html -- a directory with HTML files
      /usr/share/flamerobin/docs -> ../doc/flamerobin/html
    .
    Since dpkg won't do dir<->symlink conversions, add maintscript for the
    two transitions. Also add Pre-Depends on dpkg 1.17.14 for maintscript
    support.
    .
    Thanks to Andreas Beckmann for reporting (Closes: #985289)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 19 Mar 2021 05:54:27 +0000

flamerobin (0.9.3.6-1) unstable; urgency=medium

  * New upstream snapshot release
   + drop out/fix-table-list-gh142.patch, released upstream

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 Jan 2021 08:07:02 +0000

flamerobin (0.9.3.5-2) unstable; urgency=medium

  * Patch a workaround for rdb$relation_type being NULL (Closes: #979211)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Jan 2021 13:29:19 +0000

flamerobin (0.9.3.5-1) unstable; urgency=medium

  * New upstream version 0.9.3.5
  * update debian/copyright
  * switch build to cmake, drop boost
  * install manual from docs/flamerobin.1
  * put docs under /usr/share/doc/flamerobin
  * bump Standards-Version to 4.5.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 02 Jan 2021 10:47:11 +0000

flamerobin (0.9.3.4-1) unstable; urgency=medium

  * New upstream version 0.9.3.4
  * drop out/spelling.patch applied upstream
  * switch to debhelper compatibility level 13

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Sep 2020 05:40:47 +0000

flamerobin (0.9.3.3-1) unstable; urgency=medium

  * switch debian/watch to track github releases
  * New upstream version 0.9.3.3
  * update years of upstream copyright
  * adapt d/rules to generate src/revisioninfo.h if it doesn't exist
  * declare conformance with Policy 4.5.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 03 Sep 2020 09:44:49 +0000
