=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- autotools-dev,
  chrpath,
- debhelper (>= 9~),
+ cmake,
+ debhelper-compat (= 13),
  firebird-dev,
  html2text,
- libboost-dev,
- libboost-system-dev,
- libboost-thread-dev,
  libwxgtk3.0-gtk3-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
 Vcs-Browser: https://salsa.debian.org/debian/flamerobin
 Homepage: http://www.flamerobin.org/
@@ -21,6 +17,7 @@
 
 Package: flamerobin
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.14)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: firebird3.0-server
 Description: graphical database administration tool for Firebird DBMS
