=== debian/rules ===
#!/usr/bin/make -f

export ACLOCAL=/bin/true

%:
	dh $@ -Scmake

IBASE=src/ibpp/ibase.h

REV_FILE=src/revisioninfo.h

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	sh debian/mangle-svn-rev.sh
	cp $(REV_FILE) $(REV_FILE)-ORIG
	dh_auto_configure -Scmake

override_dh_auto_clean:
	dh_auto_clean -Scmake
	rm -rf build
	[ ! -e $(REV_FILE)-ORIG ] || mv -f $(REV_FILE)-ORIG $(REV_FILE)
	[ ! -e $(REV_FILE)-by-debian ] || rm $(REV_FILE) $(REV_FILE)-by-debian
	sh debian/unmangle-svn-rev.sh

override_dh_auto_install:
	dh_auto_install -Scmake
	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
	mkdir -p $(CURDIR)/debian/flamerobin/usr/share/doc/flamerobin
	mv  $(CURDIR)/debian/flamerobin/usr/share/flamerobin/docs \
	    $(CURDIR)/debian/flamerobin/usr/share/doc/flamerobin/html

override_dh_installdocs:
	html2text docs/fr_whatsnew.html > NEWS
	dh_installdocs
