## flamerobin 0.9.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,9 +63,12 @@
         ${SOURCEDIR}/addconstrainthandler.cpp
         ${SOURCEDIR}/config/Config.cpp
         ${SOURCEDIR}/config/DatabaseConfig.cpp
+        ${SOURCEDIR}/config/LocalSettings.cpp
         ${SOURCEDIR}/core/ArtProvider.cpp
         ${SOURCEDIR}/core/CodeTemplateProcessor.cpp
+        ${SOURCEDIR}/core/FRDecimal.cpp
         ${SOURCEDIR}/core/FRError.cpp
+        ${SOURCEDIR}/core/FRInt128.cpp
         ${SOURCEDIR}/core/Observer.cpp
         ${SOURCEDIR}/core/ProgressIndicator.cpp
         ${SOURCEDIR}/core/StringUtils.cpp
@@ -171,9 +174,12 @@
 list(APPEND HEADER_LIST
         ${SOURCEDIR}/config/Config.h
         ${SOURCEDIR}/config/DatabaseConfig.h
+        ${SOURCEDIR}/config/LocalSettings.h
         ${SOURCEDIR}/core/ArtProvider.h
         ${SOURCEDIR}/core/CodeTemplateProcessor.h
+        ${SOURCEDIR}/core/FRDecimal.h
         ${SOURCEDIR}/core/FRError.h
+        ${SOURCEDIR}/core/FRInt128.h
         ${SOURCEDIR}/core/ObjectWithHandle.h
         ${SOURCEDIR}/core/Observer.h
         ${SOURCEDIR}/core/ProcessableObject.h
@@ -274,12 +280,3 @@
         ${SOURCEDIR}/sql/IncompleteStatement.h
         ${SOURCEDIR}/sql/MultiStatement.h
         ${SOURCEDIR}/sql/SelectStatement.h
-        ${SOURCEDIR}/sql/SqlStatement.h
-        ${SOURCEDIR}/sql/SqlTokenizer.h
-        ${SOURCEDIR}/sql/StatementBuilder.h
-        ${SOURCEDIR}/statementHistory.h
-)
-
-# IBPP static lib source files
-list(APPEND IBPP_SOURCE_LIST
-        ${SOURCEDIR}/ibpp/_dpb.cpp
